Subject: bug#50935: minibuffer-electric-default-mode interface

From: Stefan Kangas <[email-masked]>
Date: Fri, 1 Oct 2021 13:43:46 +0200

In (info "(emacs) Basic Minibuffer"), I see:

if you change the variable ‘minibuffer-eldef-shorten-default’ to a
non-‘nil’ value, the default argument is displayed as ‘[DEFAULT-ARG]’
instead of ‘(default DEFAULT-ARG)’, saving some screen space.  To
enable this minor mode, type ‘M-x minibuffer-electric-default-mode’.

But when I run "emacs -Q", I can't customize
'minibuffer-eldef-shorten-default', and this has no effect:

0. emacs -Q
1. (setq minibuffer-eldef-shorten-default t)
2. M-x set-fill-column RET

I still see "(default 0)".  Only if I run 'M-x
minibuffer-electric-default-mode' does this change to "[0]".  So the
above text seems wrong.